Update Contacts¶
Use /contacts to update service and billing contact information on your account.
URI¶
PUT /api/v1/customers/{customerId}/contacts
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String |
|
|
| ClientId | Y | String | will be provided by WM | |
| Accept | Y | String | application/json or application/xml | Default is application/json |
| Content-Type | Y | String | application/json | Content Type of the request |
Request Parameters¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique identifier assigned to customer |
Request Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| contacts | Object | Contains customer address and contact information |
| type | String | Defines contact type 'billing' or 'service' |
| name | String | Name of the customer |
| first_name | String | First name of the customer |
| middle_name | String | Middle name of the customer |
| last_name | String | Last name of the customer |
| land_line | String | Land line of the customer |
| work_phone | String | Work phone number of the customer |
| mobile_phone | String | Mobile phone number of the customer |
| fax | String | Fax number of the customer |
| String | Email Id of the customer |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| request_tracking_id | String | Unique Identifier from request |
| status | String | Success if request is successfull |
Tip
For information about how to test, see How To Test
Sample Request¶
PUT http://api.wm.com/v1/customers/123456789/contacts
Sample Request Body¶
{ "request_tracking_id": "67865456", "contacts": [ { "type": "billing", "name": "JOHN, SMITH", "first_name": "JOHN", "last_name": "SMITH", "work_phone": "9147222005", "mobile_phone": "9147322005", "fax": "9141212006", "email": "johnsmith@gmail.COM" }, { "type": "service", "name": "JOHN, SMITH", "first_name": "JOHN", "last_name": "SMITH", "work_phone": "9147222005", "mobile_phone": "9147322005", "fax": "9141212006", "email": "johnsmith@gmail.COM" } ]}
Sample Response¶
{ "status": "Success", "request_tracking_id": "12"}